/**
 * @name getPageData
 * @description Mock data related to the page
 * @return {Object} page mock data
 */
export default function getPageData() {
  const page = {
    title: 'The Slot Title',
    type: 'slot',
    name: 'Holiday Season',
    logo_url: '#',
    banner: 'a74d1728c572fab8333061d730f2b58b.jpeg',
    meta_title: 'Holiday Season - spilleautomat fra Play’n GO',
    language: 'no',
    meta_description:
      'Holiday Season fra Play’n GO er en litt annerledes juleautomat som byr på Win Spins med garantert gevinst og en toppgevinst på 500,000 mynter. Spill gratis her',
    meta_robots: ['one', 'two', 'three'],
    path: 'holiday-season-spilleautomater',
    preconnect_links: ['1', '2', '3'],
    seo_json_schema: [],
    sections: { main: {} },
    breadcrumbs: [
      {
        label: 'Spilleautomater',
        path: 'alle',
      },
    ],
    extra_fields: {
      related_operator: {},
    },
    relation: {
      name: 'Holiday Season',
      url: 'https://rizk.com',
      status: 'active',
      short_name: 'holiday_season',
      type: 'game',
      average_rating: '4.5',
      first_rating: '2',
      third_rating: '2.5',
      rtp: '95.51',
      volatility: 2,
      iframe: 'https://games-guts.igamingcloud.com/no/10551',
      thumbnail_filename_object: {
        filename: 'holiday-season-game-thumbnail.jpeg',
      },
      extra_fields: {
        game_review_summary:
          'Holiday Season er en automat det er vanskelig å bli engasjert av. Vi liker idéen til Play’n GO om å lage en automat for høytiden uten at man blir lei av julen i mai, men det hele blir så altfor kjedelig. Lydbildet er veldig skuffende, og selv om vi setter stor pris på Win Spins og en toppgevinst på hele 500,000 mynter, er ',
      },
      one_liners: {
        main: {
          one_liner: 'Opptil 10 000 kr + 100 free spins!',
        },
      },
    },
  };

  return page;
}
