export const samplePaymentMethod = {
  model_type: 'payment_method',
  module_title: 'Payment Method',
  link_label: 'View more',
  link_value: '/sample',
  num_of_items: 3,
  mobile_num_of_columns: 1,
  desktop_num_of_columns: 3,
  items: [
    {
      title: 'Kortbetaling',
      path: 'innskudd-uttak-casino/kortbetaling',
      relation: {
        logo: 'kortbetaling.png',
        name: 'Kortbetaling',
      },
      sections: {
        header: {
          extra_fields: {
            header_text:
              'Kortbetalinger med VISA og MasterCard har alltid vært populære i casinouniverset, og kanskje den mest brukte betalingsmetoden blant nordmenn. Er det på tide å bytte til en annen metode, eller bør du fortsette med kortbetaling? Finn ut alt om innskudd og uttak fra kort, samt sikkerheten og hvorfor casinoene gjør.',
          },
        },
      },
    },
    {
      title: 'Revolut',
      path: '/innskudd-uttak-casino/revolut',
      relation: {
        logo: 'revolutpng9862175893-original.png',
        name: 'Revolut',
      },
      sections: {
        header: {
          extra_fields: {
            header_text:
              'Ser du etter en alternativ nettbank, som ikke preges av lokale, norske lover? Revolut er en internasjonal, lisensiert tjeneste fra Storbritannia som gir deg større frihet og mer handlerom – du kan til og med velge å sende lønnen din direkte til denne nettbanken! Revolut er en revolusjonerende betalingsmetode, men...',
          },
        },
      },
    },
    {
      title: 'Bankoverføring',
      path: 'innskudd-uttak-casino/bankoverforing',
      relation: {
        logo: 'banktransfer1.png',
        name: 'Bankoverføring',
      },
      sections: {
        header: {
          extra_fields: {
            header_text:
              'Hvis du foretrekker det gode, gamle og problemfrie, er bankoverføringer midt i blinken. Ja, man kan fortsatt gjøre slike transaksjoner både til og fra nettcasinoene, men muligheten har sine begrensninger. Finn ut hvordan bankoverføringer til casino fungerer og hva du bør ha i tankene! Kan man sende penger til et...',
          },
        },
      },
    },
  ],
};

export const sampleSoftwareProviderCards = {
  model_type: 'software_provider',
  module_title: '"Software Provider"',
  link_label: 'View more',
  link_value: '/sample',
  num_of_items: 3,
  mobile_num_of_columns: 1,
  desktop_num_of_columns: 3,
  items: [
    {
      title: 'Swintt',
      path: 'spilleverandorer/swintt',
      relation: {
        games_count: 50,
        logo: 'swinttpnge30daf96e-original.png',
      },
      sections: {
        header: {
          extra_fields: {
            header_text:
              'Det er bare å merke seg navnet med det samme. Swintt er en spillutvikler som på kort tid har skape bølger innen iGaming. Grunnlagt i april 2019, markedsfører de seg selv under slagordet “A New Star Is Born”, og skal man bare vurdere dem ut fra antall automater de har...',
          },
        },
      },
    },
    {
      title: 'iSoftBet',
      path: 'spilleverandorer/isoftbet',
      relation: {
        games_count: 150,
        logo: 'isoftbet-1png5a8676-original.png',
      },
      sections: {
        header: {
          extra_fields: {
            header_text:
              'iSoftBet ble grunnlagt i London i 2010 og er i dag etablert med en rekke kontor rundt om i Europa, deriblant Malta og Luxembourg. I 2018 etablerte de seg også i Tallinn, et strategisk viktig land for alle leverandører av Live Casino. Om etableringen betyr at de skal utvide porteføljen...',
          },
        },
      },
    },
    {
      title: 'Pragmatic Play',
      path: 'spilleverandorer/pragmatic-play',
      relation: {
        games_count: 132,
        logo: 'logos-pragmaticplaypng309cff94f9-original.png',
      },
      sections: {
        header: {
          extra_fields: {
            header_text:
              'Pragmatic Play er en relativt ung spillutvikler som ble startet i Sør-Amerika under navnet Top Games og leverte de første årene bare spill til det amerikanske markedet. I 2015 endret de navn og flyttet fokus til Europa, hvor de i dag leverer spill til en lang rekke kjente casinoer på...',
          },
        },
      },
    },
  ],
};

export const sampleOperatorCards = {
  cards_page_type: 'operator',
  cards_page_type_id: '3',
  cards_selector: 'use_filters',
  cards_selector_manual_list: [],
  cards_selector_filters_limit: '6',
  cards_selector_filters: [],
  cards_selector_filters_sort_by: 'latest',
  cards_enable_pagination: false,
  cards_extra_data: null,
  module_value_id: 678244,
  name: 'cards_v2',
  anchored: 0,
  anchor_label: null,
  anchor_slug: null,
  module_title: 'Try these Popular Games',
  module_title_tag: null,
  module_introduction:
    '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Tempus integer amet, in ultrices urna, nunc lorem proin. Est tellus iaculis elit ornare egestas fermentum neque, semper in ornare quam viverra orci sagittis eu volutpat odio facilisis mauris sit amet massa como vitae tortor.</p>',
  background_color: null,
  style: 'template_two',
  style_id: 125,
  see_more_link: {
    type: 'page',
    value: 6360,
    title: 'See all casinos',
    value_label: 'Light Casino Ireland',
    path: 'light-casino',
  },
  items: [
    {
      id: 86974,
      title: 'SpinRio Casino Ireland',
      path: 'spin-rio-casino',
      relation: {
        standardised_logo_url_object: {
          width: '412',
          height: '412',
          filename: '1651671027/spinrio-logo.png',
        },
        one_liners: {
          main: {
            one_liner: 'Up to €1111 + 300 Free Spins',
          },
        },
        bonus: {
          min_deposit: '10',
          min_withdrawal: '10',
          max_withdrawal: '7000',
          currencies: [
            {
              id: 48,
              name: 'Euro',
              iso_code: 'EUR',
            },
          ],
          operator_name: 'Spin Rio',
          deposit_methods: [
            {
              id: 39,
              name: 'Paypal',
              short_name: 'paypal',
              logo_filename: 'paypal.png',
            },
            {
              id: 6,
              name: 'Skrill',
              short_name: 'skrill',
              logo_filename: 'skrillllogo.png',
            },
            {
              id: 4,
              name: 'Neteller',
              short_name: 'neteller',
              logo_filename: 'netellerpng4fbb69bb64-original.png',
            },
            {
              id: 1,
              name: 'Visa',
              short_name: 'visa',
              logo_filename: 'visapng339205421f-original.png',
            },
            {
              id: 2,
              name: 'MasterCard',
              short_name: 'mastercard',
              logo_filename: 'mastercard-logo.png',
            },
            {
              id: 47,
              name: 'Bank Transfer',
              short_name: 'bank_transfer',
              logo_filename: 'banktransfer1.png',
            },
            {
              id: 7,
              name: 'Trustly',
              short_name: 'trustly',
              logo_filename: 'truslty.png',
            },
            {
              id: 18,
              name: 'Much Better',
              short_name: 'much_better',
              logo_filename: 'muchbetter-3.png',
            },
            {
              id: 11,
              name: 'ecoPayz',
              short_name: 'ecopayz',
              logo_filename: 'ecopayzpngee600f42ad-original.png',
            },
            {
              id: 5,
              name: 'Paysafecard',
              short_name: 'paysafecard',
              logo_filename: 'paysafecardpng3ca0ce2935-original.png',
            },
          ],
          license_objects: [
            {
              id: 12,
              name: 'Malta (MGA)',
              logo_filename: 'mga-6.png',
            },
            {
              id: 13,
              name: 'United Kingdom (UKGC)',
              logo_filename: 'ukgc-license.png',
            },
          ],
          licenses: 'Malta (MGA), United Kingdom (UKGC)',
          one_liners: {
            main: {
              one_liner: '',
            },
          },
        },
        selling_points: ['Live Casino', 'Unique loyalty program', 'Scratchcards'],
        name: 'Spin Rio Casino',
        rating: '4',
        rating_casino: '4.3',
        rating_games: '4.2',
        rating_bonuses: '3.7',
        rating_customer: '3.75',
        type: 'casino',
        short_name: 'spinrio',
        links: {
          main: 'https://online.mrplaypartners.com/promoRedirect?key=ej0yMDAzNDcyNCZsPTAmcD0xMTk1NDg%3D',
        },
        status: 'active',
      },
      type: 'operator',
      banner: 'spinrio-casino.jpg',
    },
    {
      id: 86972,
      title: 'Queen Play Casino Ireland',
      path: 'queen-play-casino',
      relation: {
        logo_url: 'queen-play-new-logo-140x82.png',
        one_liners: {
          main: {
            one_liner: '200 Free Spins + up to €1000 bonus',
          },
        },
        standardised_logo_url_object: {
          width: '412',
          height: '412',
          filename: '1651670916/queenplay-logo.png',
        },
        bonus: {
          min_deposit: '10',
          min_withdrawal: '10',
          max_withdrawal: '5000',
          currencies: [
            {
              id: 48,
              name: 'Euro',
              iso_code: 'EUR',
            },
          ],
          currency: 'EUR',
          rating: '4',
          deposit_methods: [
            {
              id: 1,
              name: 'Visa',
              short_name: 'visa',
              logo_filename: 'visapng339205421f-original.png',
            },
            {
              id: 2,
              name: 'MasterCard',
              short_name: 'mastercard',
              logo_filename: 'mastercard-logo.png',
            },
            {
              id: 3,
              name: 'Euteller',
              short_name: 'euteller',
              logo_filename: 'euteller.png',
            },
            {
              id: 4,
              name: 'Neteller',
              short_name: 'neteller',
              logo_filename: 'netellerpng4fbb69bb64-original.png',
            },
            {
              id: 5,
              name: 'Paysafecard',
              short_name: 'paysafecard',
              logo_filename: 'paysafecardpng3ca0ce2935-original.png',
            },
            {
              id: 6,
              name: 'Skrill',
              short_name: 'skrill',
              logo_filename: 'skrillllogo.png',
            },
          ],
          license_objects: [
            {
              id: 12,
              name: 'Malta (MGA)',
              logo_filename: 'mga-6.png',
            },
            {
              id: 13,
              name: 'United Kingdom (UKGC)',
              logo_filename: 'ukgc-license.png',
            },
          ],
          licenses: 'Malta (MGA), United Kingdom (UKGC)',
          one_liners: {
            main: {
              one_liner: '',
            },
          },
        },
        selling_points: ['Great banking options', 'Safe Casino', 'Unique loyalty program'],
        name: 'Queenplay Casino',
        rating: '4',
        rating_casino: '4.3',
        rating_games: '4.2',
        rating_bonuses: '4',
        rating_customer: '3.75',
        type: 'casino',
        short_name: 'queenplay',
        links: {
          main: 'https://online.mrplaypartners.com/promoRedirect?key=ej0xODMxNzk5NSZsPTAmcD0xMTk1MDc%3D',
        },
        status: 'active',
      },
      type: 'operator',
      updated_at: '2021-12-30',
      created_at: '2021-10-14 08:08:36',
      banner: 'queenplay-casino-1.jpg',
    },
    {
      id: 86974,
      title: 'SpinRio Casino Ireland 1',
      path: 'spin-rio-casino',
      relation: {
        standardised_logo_url_object: {
          width: '412',
          height: '412',
          filename: '1651671027/spinrio-logo.png',
        },
        one_liners: {
          main: {
            one_liner: 'Up to €1111 + 300 Free Spins',
          },
        },
        bonus: {
          min_deposit: '10',
          min_withdrawal: '10',
          max_withdrawal: '7000',
          currencies: [
            {
              id: 48,
              name: 'Euro',
              iso_code: 'EUR',
            },
          ],
          operator_name: 'Spin Rio',
          deposit_methods: [
            {
              id: 39,
              name: 'Paypal',
              short_name: 'paypal',
              logo_filename: 'paypal.png',
            },
            {
              id: 6,
              name: 'Skrill',
              short_name: 'skrill',
              logo_filename: 'skrillllogo.png',
            },
            {
              id: 4,
              name: 'Neteller',
              short_name: 'neteller',
              logo_filename: 'netellerpng4fbb69bb64-original.png',
            },
            {
              id: 1,
              name: 'Visa',
              short_name: 'visa',
              logo_filename: 'visapng339205421f-original.png',
            },
            {
              id: 2,
              name: 'MasterCard',
              short_name: 'mastercard',
              logo_filename: 'mastercard-logo.png',
            },
            {
              id: 47,
              name: 'Bank Transfer',
              short_name: 'bank_transfer',
              logo_filename: 'banktransfer1.png',
            },
            {
              id: 7,
              name: 'Trustly',
              short_name: 'trustly',
              logo_filename: 'truslty.png',
            },
            {
              id: 18,
              name: 'Much Better',
              short_name: 'much_better',
              logo_filename: 'muchbetter-3.png',
            },
            {
              id: 11,
              name: 'ecoPayz',
              short_name: 'ecopayz',
              logo_filename: 'ecopayzpngee600f42ad-original.png',
            },
            {
              id: 5,
              name: 'Paysafecard',
              short_name: 'paysafecard',
              logo_filename: 'paysafecardpng3ca0ce2935-original.png',
            },
          ],
          license_objects: [
            {
              id: 12,
              name: 'Malta (MGA)',
              logo_filename: 'mga-6.png',
            },
            {
              id: 13,
              name: 'United Kingdom (UKGC)',
              logo_filename: 'ukgc-license.png',
            },
          ],
          licenses: 'Malta (MGA), United Kingdom (UKGC)',
          one_liners: {
            main: {
              one_liner: '',
            },
          },
        },
        selling_points: ['Live Casino', 'Unique loyalty program', 'Scratchcards'],
        name: 'Spin Rio Casino 1',
        rating: '4',
        rating_casino: '4.3',
        rating_games: '4.2',
        rating_bonuses: '3.7',
        rating_customer: '3.75',
        type: 'casino',
        short_name: 'spinrio',
        links: {
          main: 'https://online.mrplaypartners.com/promoRedirect?key=ej0yMDAzNDcyNCZsPTAmcD0xMTk1NDg%3D',
        },
        status: 'active',
      },
      type: 'operator',
      banner: 'spinrio-casino.jpg',
    },
    {
      id: 86972,
      title: 'Queen Play Casino Ireland 1',
      path: 'queen-play-casino',
      relation: {
        logo_url: 'queen-play-new-logo-140x82.png',
        one_liners: {
          main: {
            one_liner: '200 Free Spins + up to €1000 bonus',
          },
        },
        standardised_logo_url_object: {
          width: '412',
          height: '412',
          filename: '1651670916/queenplay-logo.png',
        },
        bonus: {
          min_deposit: '10',
          min_withdrawal: '10',
          max_withdrawal: '5000',
          currencies: [
            {
              id: 48,
              name: 'Euro',
              iso_code: 'EUR',
            },
          ],
          currency: 'EUR',
          rating: '4',
          deposit_methods: [
            {
              id: 1,
              name: 'Visa',
              short_name: 'visa',
              logo_filename: 'visapng339205421f-original.png',
            },
            {
              id: 2,
              name: 'MasterCard',
              short_name: 'mastercard',
              logo_filename: 'mastercard-logo.png',
            },
            {
              id: 3,
              name: 'Euteller',
              short_name: 'euteller',
              logo_filename: 'euteller.png',
            },
            {
              id: 4,
              name: 'Neteller',
              short_name: 'neteller',
              logo_filename: 'netellerpng4fbb69bb64-original.png',
            },
            {
              id: 5,
              name: 'Paysafecard',
              short_name: 'paysafecard',
              logo_filename: 'paysafecardpng3ca0ce2935-original.png',
            },
            {
              id: 6,
              name: 'Skrill',
              short_name: 'skrill',
              logo_filename: 'skrillllogo.png',
            },
          ],
          license_objects: [
            {
              id: 12,
              name: 'Malta (MGA)',
              logo_filename: 'mga-6.png',
            },
            {
              id: 13,
              name: 'United Kingdom (UKGC)',
              logo_filename: 'ukgc-license.png',
            },
          ],
          licenses: 'Malta (MGA), United Kingdom (UKGC)',
          one_liners: {
            main: {
              one_liner: '',
            },
          },
        },
        selling_points: ['Great banking options', 'Safe Casino', 'Unique loyalty program'],
        name: 'Queenplay Casino 1',
        rating: '4',
        rating_casino: '4.3',
        rating_games: '4.2',
        rating_bonuses: '4',
        rating_customer: '3.75',
        type: 'casino',
        short_name: 'queenplay',
        links: {
          main: 'https://online.mrplaypartners.com/promoRedirect?key=ej0xODMxNzk5NSZsPTAmcD0xMTk1MDc%3D',
        },
        status: 'active',
      },
      type: 'operator',
      updated_at: '2021-12-30',
      created_at: '2021-10-14 08:08:36',
      banner: 'queenplay-casino-1.jpg',
    },
  ],
};
