/**
 * @name getPageData
 * @description Mock data related to the page
 * @return {Object} page mock data
 */
export default function getPageData() {
  const page = {
    title: 'The Best Online Casinos for Colombian Players - H1',
    relation_type: 'page',
    logo_url: '#',
    banner: '313df295c19d7c5f137ceda9d0cc5df7.jpeg',
    meta_title: '100% Bonus upto €300 & 80 Free Spins',
    language: 'en',
    featured_image: 'featured_image.png',
    featured_image_object: {
      alt: null,
      filename: '1673351083/featured-image.png',
      height: '683',
      title: 'Featured image',
      url: 'https://assets-srv.s3.eu-west-1.amazonaws.com/1673351083/featured-image.png',
      width: '641',
    },
    description:
      '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nec cras sit ut amet. Volutpat pulvinar leo orci curabitur. Lobortis sapien, quis ac nisi. Morbi arcu non mauris, augue in scelerisque nisl. Ornare neque nulla elit, in sit eget mauris fames.</p>',
    meta_robots: ['one', 'two', 'three'],
    path: 'sport/brand',
    rating: '4.88',
    url: 'https://rizk.com',
    reviewer: 'Casino Games',
    preconnect_links: ['1', '2', '3'],
    seo_json_schema: [],
    sections: { main: {} },
    breadcrumbs: [
      {
        label: 'Sport',
        path: 'sport',
      },
    ],
    extra_fields: {
      related_operator: {},
      link: 'Online Casino',
      operator: {
        name: 'Rizk Casino',
        operator_id: 199,
        optional_logo_url: '',
        owner: 'Betsson Group',
        one_liners: {
          main: {
            categories: [],
            end_date: null,
            one_liner: '100% Bonus up to €300 & 80 Free Spins',
            start_date: null,
          },
        },
        extra_fields: {
          terms_and_conditions_text_enabled: '1',
          terms_and_condition_link_text:
            'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nec cras sit ut amet. Volutpat pulvinar leo orci curabitur Terms & Conditions Apply',
        },
      },
    },
    relation: {
      name: 'Rizk Casino',
      logo_url: 'rizk-logopng7ed316ac19-original.png',
      url: 'https://rizk.com',
      status: 'active',
      short_name: 'rizk',
      type: 'casino',
      iframe: 'https://www.youtube.com/embed/DU1Pio4n_N0',
      bonus: {
        one_liners: {
          main: {
            one_liner: 'Oneliner',
          },
        },
      },
      extra_fields: {
        summary_background: 'fe63f69ca1618cf2e7ff810197001dec.png',
        summary: 'Summary',
      },
      one_liners: {
        main: {
          one_liner: '100% Bonus + 50 free spins',
        },
      },
    },
    responsibleGaming: [
      {
        id: 1744,
        title: '18',
        nofollow: false,
        image: '1654611290/begamble-aware.png',
      },
      {
        id: 1745,
        title: 'mga',
        nofollow: false,
        value: 'http://mga.com',
        image: '103d5265a3794e4c75f8df50e069e264.png',
      },
      {
        id: 1746,
        title: 'GC',
        nofollow: false,
        value: 'https://www.gamblingcommission.gov.uk/home.aspx',
        image: 'bb7ed658132b153260473a66aeb71e81.png',
      },
    ],
  };

  return page;
}
